> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/gnosis-client-data-rpc-methods",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Client information | Gnosis

> Gnosis Chain client information JSON-RPC methods — check client version, network ID, chain ID, listening status, and peer count for your node.

Retrieving blockchain client information from a Gnosis Chain node can be done by using the following methods:

<CardGroup cols={2}>
  <Card title="web3_clientVersion" icon="angle-right" iconType="solid" href="/reference/gnosis-clientversion" horizontal />

  <Card title="net_listening" icon="angle-right" iconType="solid" href="/reference/gnosis-listening" horizontal />

  <Card title="net_peerCount" icon="angle-right" iconType="solid" href="/reference/gnosis-peercount" horizontal />
</CardGroup>

<Check>
  ### Get your own node endpoint today

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>
